// made by http://wiki.kldp.org/wiki.php/primewizard
// DIFE.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "DIFE.h"
#include "MainFrm.h"

#include "PreventSecondInstance.h"
#include "Splash.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CDIFEApp

BEGIN_MESSAGE_MAP(CDIFEApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
END_MESSAGE_MAP()


// CDIFEApp construction

CDIFEApp::CDIFEApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CDIFEApp object

CDIFEApp theApp;

// CDIFEApp initialization

PreventSecondInstance psi(_T("_DIFE-DisableIMEforEmacs_"));

BOOL CDIFEApp::InitInstance()
{
	if ( psi.IsAnotherInstanceRunning() )
		return FALSE;
	
	//tricky - emacs ο ó  ʿ
	Splash* pSplash = new Splash;

	CMainFrame* pMainFrame = new CMainFrame;
	
	if (!pMainFrame->LoadFrame(IDR_MAINFRAME))
		return FALSE;

	m_pMainWnd = pMainFrame;

	return TRUE;
}


// CDIFEApp message handlers



// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

// App command to run the dialog
void CDIFEApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}


// CDIFEApp message handlers

